package body MSHTML.DispSVGPathSegCurvetoQuadraticSmoothAbs_Object is

   procedure Put_pathSegType
     (This : DispSVGPathSegCurvetoQuadraticSmoothAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGPathSegCurvetoQuadraticSmoothAbs_Put_pathSegType,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_pathSegType;

   function Get_pathSegType
     (This : DispSVGPathSegCurvetoQuadraticSmoothAbs_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPathSegCurvetoQuadraticSmoothAbs_Get_pathSegType);
   end Get_pathSegType;

   function Get_pathSegTypeAsLetter
     (This : DispSVGPathSegCurvetoQuadraticSmoothAbs_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPathSegCurvetoQuadraticSmoothAbs_Get_pathSegTypeAsLetter);
   end Get_pathSegTypeAsLetter;

   procedure Put_x
     (This : DispSVGPathSegCurvetoQuadraticSmoothAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGPathSegCurvetoQuadraticSmoothAbs_Put_x,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_x;

   function Get_x
     (This : DispSVGPathSegCurvetoQuadraticSmoothAbs_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPathSegCurvetoQuadraticSmoothAbs_Get_x);
   end Get_x;

   procedure Put_y
     (This : DispSVGPathSegCurvetoQuadraticSmoothAbs_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGPathSegCurvetoQuadraticSmoothAbs_Put_y,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_y;

   function Get_y
     (This : DispSVGPathSegCurvetoQuadraticSmoothAbs_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPathSegCurvetoQuadraticSmoothAbs_Get_y);
   end Get_y;

end MSHTML.DispSVGPathSegCurvetoQuadraticSmoothAbs_Object;

